## ros-eloquent-demo-nodes-cpp 0.8.4

=== debian/changelog ===
ros-eloquent-demo-nodes-cpp (0.8.4-1bionic) bionic; urgency=high

  * Add in a more helpful usage message to allocator_tutorial. (#409 <https://github.com/ros2/demos/issues/409>)
  * Contributors: Chris Lalancette

 -- William Woodall <william@osrfoundation.org>  Tue, 19 Nov 2019 06:00:00 -0000

ros-eloquent-demo-nodes-cpp (0.8.3-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-eloquent-demo-nodes-cpp (0.8.2-1bionic) bionic; urgency=high

  * Don't redefine add_dependencies (#408 <https://github.com/ros2/demos/issues/408>)
  * Contributors: Dan Rose

 -- William Woodall <william@osrfoundation.org>  Fri, 08 Nov 2019 06:00:00 -0000

ros-eloquent-demo-nodes-cpp (0.8.1-1bionic) bionic; urgency=high

  * rename return functions for loaned messages (#403 <https://github.com/ros2/demos/issues/403>)
  * Replace ready_fn with ReadyToTest action (#404 <https://github.com/ros2/demos/issues/404>)
  * remove intra-process manager impl (#382 <https://github.com/ros2/demos/issues/382>)
  * zero copy api (#394 <https://github.com/ros2/demos/issues/394>)
  * Remove command line parsing from C++ demos (#401 <https://github.com/ros2/demos/issues/401>)
  * Need to specify NodeOption explicitly to allow declaration. (#389 <https://github.com/ros2/demos/issues/389>)
  * Contributors: Alberto Soragna, Jacob Perron, Karsten Knese, Peter Baughman, tomoya

 -- William Woodall <william@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-demo-nodes-cpp (0.8.0-1bionic) bionic; urgency=high

  * Adding visibility macros to demos (#381 <https://github.com/ros2/demos/issues/381>)
  * Demos using composition (#375 <https://github.com/ros2/demos/issues/375>)
  * Contributors: Siddharth Kucheria

 -- William Woodall <william@osrfoundation.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-eloquent-demo-nodes-cpp (0.7.6-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 30 May 2019 05:00:00 -0000

ros-eloquent-demo-nodes-cpp (0.7.5-1bionic) bionic; urgency=high

  * Update to use new parameter option names (#355 <https://github.com/ros2/demos/issues/355>)
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 29 May 2019 05:00:00 -0000

ros-eloquent-demo-nodes-cpp (0.7.4-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-demo-nodes-cpp (0.7.3-1bionic) bionic; urgency=high

  * Added the ``parameter_blackboard`` demo to ``demo_nodes_cpp`` to make some tutorials easier. (#333 <https://github.com/ros2/demos/issues/333>)
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Fri, 10 May 2019 05:00:00 -0000

ros-eloquent-demo-nodes-cpp (0.7.2-1bionic) bionic; urgency=high

  * changes to avoid deprecated API's (#332 <https://github.com/ros2/demos/issues/332>)
  * Corrected publish calls with shared_ptr signature (#327 <https://github.com/ros2/demos/issues/327>)
  * Migrate launch tests to new launch_testing features & API (#318 <https://github.com/ros2/demos/issues/318>)
  * Contributors: Michel Hidalgo, William Woodall, ivanpauno

 -- William Woodall <william@osrfoundation.org>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-demo-nodes-cpp (0.7.1-1bionic) bionic; urgency=high

  * Updated to declare parameters. (#241 <https://github.com/ros2/demos/issues/241>)
  * Contributors: Shane Loretz

 -- William Woodall <william@osrfoundation.org>  Fri, 26 Apr 2019 05:00:00 -0000

ros-eloquent-demo-nodes-cpp (0.7.0-1bionic) bionic; urgency=high

  * Moved away from deprecated rclcpp APIs. (#321 <https://github.com/ros2/demos/issues/321>)
  * Added launch along with launch_testing as test dependencies. (#313 <https://github.com/ros2/demos/issues/313>)
  * Updated for NodeOptions Node constructor. (#308 <https://github.com/ros2/demos/issues/308>)
  * Contributors: Emerson Knapp, Michael Carroll, Michel Hidalgo

 -- William Woodall <william@osrfoundation.org>  Sun, 14 Apr 2019 05:00:00 -0000

ros-eloquent-demo-nodes-cpp (0.6.2-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 15 Jan 2019 06:00:00 -0000

ros-eloquent-demo-nodes-cpp (0.6.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 13 Dec 2018 06:00:00 -0000

ros-eloquent-demo-nodes-cpp (0.6.0-1bionic) bionic; urgency=high

  * Added semicolons to all RCLCPP and RCUTILS macros. (#278 <https://github.com/ros2/demos/issues/278>)
  * Removed parameter node, all nodes take parameter by default now (#265 <https://github.com/ros2/demos/issues/265>)
  * Added example of registering custom parameter validation callbacks (#273 <https://github.com/ros2/demos/issues/273>)
  * Removed imu_listener node (#272 <https://github.com/ros2/demos/issues/272>)
  * Refined demo_nodes_cpp source codes (#269 <https://github.com/ros2/demos/issues/269>)
  * Fixed typo in comment (#268 <https://github.com/ros2/demos/issues/268>)
  * Removed rosidl deps as this package doesnt generate any messages (#264 <https://github.com/ros2/demos/issues/264>)
  * Fixed no return code for main() in several files (#266 <https://github.com/ros2/demos/issues/266>)
  * Contributors: Chris Lalancette, Mikael Arguedas, Yutaka Kondo, testkit

 -- William Woodall <william@osrfoundation.org>  Fri, 07 Dec 2018 06:00:00 -0000

ros-eloquent-demo-nodes-cpp (0.5.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 28 Jun 2018 05:00:00 -0000

ros-eloquent-demo-nodes-cpp (0.5.0-1bionic) bionic; urgency=high

  * Reduced the publishing of the allocator_tutorial to 100Hz. (#257 <https://github.com/ros2/demos/issues/257>)
    * Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Removed the now obsolete ros2param executable, use ``ros2 param`` instead. (#251 <https://github.com/ros2/demos/issues/251>)

